##
##  gnutls.spec -- OpenPKG RPM Specification
##  Copyright (c) 2000-2003 Cable & Wireless Deutschland GmbH
##  Copyright (c) 2000-2003 The OpenPKG Project <http://www.openpkg.org/>
##  Copyright (c) 2000-2003 Ralf S. Engelschall <rse@engelschall.com>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package information
Name:         gnutls
Summary:      GNU SSL/TLS Library
URL:          http://www.gnutls.org/
Vendor:       The GnuTLS Project
Packager:     The OpenPKG Project
Distribution: OpenPKG [JUNK]
Group:        Cryptography
License:      GPL
Version:      0.6.0
Release:      20021208

#   list of sources
Source0:      ftp://gnutls.hellug.gr/pub/gnutls/gnutls-%{version}.tar.gz
Source1:      getopt.tar.gz

#   build information
Prefix:       %{l_prefix}
BuildRoot:    %{l_buildroot}
BuildPreReq:  OpenPKG, openpkg >= 20020206, gcrypt
PreReq:       OpenPKG, openpkg >= 20020206, gcrypt
AutoReq:      no
AutoReqProv:  no

%description
    GnuTLS is a project that aims to develop a library which provides a
    secure layer, over a reliable transport layer. Currently the GnuTLS
    library implements the proposed standards by the IETF's TLS working
    group (RFC2246, TLS 1.0).

%prep
    %setup0 -q -c
    %setup1 -q -T -D -a 1

%build
    ( cd getopt
      %{l_make} %{l_mflags} \
          CC="%{l_cc}" CFLAGS="%{l_cflags -O}" \
    )
    ( cd gnutls-%{version}
      CC="%{l_cc}" \
      CFLAGS="%{l_cflags -O} -I`pwd`/../getopt -I%{l_prefix}/include" \
      CPPFLAGS="%{l_cppflags} -I`pwd`/../getopt -I%{l_prefix}/include" \
      LDFLAGS="%{l_ldflags} -L`pwd`/../getopt" \
      LIBS="-lgetopt" \
      ./configure \
          --prefix=%{l_prefix} \
          --with-libgcrypt-prefix=%{l_prefix} \
          --disable-shared
      %{l_make} %{l_mflags -O}
    )

%install
    rm -rf $RPM_BUILD_ROOT
    ( cd gnutls-%{version}
      %{l_make} %{l_mflags} install AM_MAKEFLAGS="DESTDIR=$RPM_BUILD_ROOT"
    )
    strip $RPM_BUILD_ROOT%{l_prefix}/bin/* >/dev/null 2>&1 || true
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean
    rm -rf $RPM_BUILD_ROOT

